{{ if hugo.IsServer }}
    {{/*
        Used for development (`just run`).
        This requires `just svelte-dev` and supports live-reloading.
    */}}
    <script type="module" src="http://localhost:5173/src/initOrderForm.ts"></script>
{{ else }}
    {{/*
        Used for production.
        This requires `just svelte` and uses static files.
    */}}
    {{ $CSS := resources.Get "order/order-form.css" }}
    {{ $CSSF := $CSS | resources.Fingerprint }}
    {{ $INDEXJS := resources.Get "order/index.js" }}
    {{ $INDEXJSF := $INDEXJS | resources.Fingerprint }}
    {{ $JS := resources.Get "order/order-form.js" }}
    {{ $JSF := $JS | resources.Fingerprint }}
    <script type="module" src="{{ $JS.Permalink }}?{{ $JSF.Data.Integrity }}"></script>
    <link rel="modulepreload" href="{{ $INDEXJS.Permalink }}?{{ $INDEXJSF.Data.Integrity }}">
    <link rel="stylesheet" href="{{ $CSS.Permalink }}?{{ $CSSF.Data.Integrity }}">
{{ end }}

<div id="js-container-svelte-order-form">
    <div class="text-center">
        Loading...

        {{ if hugo.IsServer }}
            <br />
            If the Order Form isn't loading, then you're likely not running <code>just svelte-dev</code>.
        {{ end }}
    </div>
</div>
